<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\InsumoService;

class InsumoController extends FMCrud{
    protected $InsumoService;
   
    public function __construct($crudService, $environment, InsumoService $InsumoService) {
        parent::__construct($crudService, $environment);
        $this->InsumoService = $InsumoService;
    }
    
    public function insumos(DTO\Request $request, DTO\Response $response) {
        $method = $request->getMethod();
        if ($method== "POST") {
           $response->addDataSet(new DataSet('insumo', array($this->InsumoService->insumo($request->getParameters()))));
        } else if ($method == "GET") {
           $response->addDataSet(new DataSet('insumo', $this->InsumoService->dadosInsumo()));
        }
       
    }
}

?>